> For the complete documentation index, see [llms.txt](https://docs.adjutor.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adjutor.io/adjutor-api-endpoints/transactions-and-balances-with-kolo/using-your-access-token.md).

# Using your access token

With the access token, you can now make authenticated requests to the Kolo API endpoints. This access token should be included in the `Authorization` header of your requests.

**Example Request:**

```bash
curl --location 'https://adjutor.lendsqr.com/v2/kolo/transactions' \
--header 'x-access-token;'
```

## **Refreshing the Access Token**

Access tokens often expire quickly, causing issues with your API calls. In the instance where the access token expires, you can use the refresh token to obtain a new access token.

**Endpoint:**

```
POST https://adjutor.lendsqr.com/v2/kolo/auth
```

**Request Body:**

```
code=authorization_code&grant_type=refresh_token&redirect_uri=https://app.adjutor.io
```

| Parameter     | Description                                              |
| ------------- | -------------------------------------------------------- |
| code          | The authorization code received from the previous step.  |
| grant\_type   | Set this to `refresh_token`.                             |
| redirect\_uri | The same redirect URI used in the authorization request. |

**Example Response:**

```json
{
  "access_token": "new_access_token",
  "token_type": "Bearer",
  "username": "customer's username",
  "scope": "transaction:list"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.adjutor.io/adjutor-api-endpoints/transactions-and-balances-with-kolo/using-your-access-token.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
